{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('account_user/base_data') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('account_user/base_data') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <span class="text-primary fs-5">Stammdaten-Verwaltung</span>
        {% if is_granted('edit', app.user) == true %}
            {{ form_widget(baseDataForm.save, {'label': 'SPEICHERN', 'id': baseDataForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto'}}) }}
        {% endif %}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        {% if submitResponse is not empty %}
            {% include 'component/alert_notification_component.html.twig' with {
                'success': submitResponse.0.success,
                'message': submitResponse.0.message,
                'errors': submitResponse.0.errors
            } only %}
        {% endif %}
        <div class="mdc-card px-4 py-3 mb-4">
            {% if is_granted('edit', app.user) == true %}
                {{ form_start(baseDataForm, {'attr': {'id': baseDataForm.vars.id ~ '_form'}}) }}
            {% endif %}
            {% include 'account_user/form/base_data_form.html.twig' with {'form': baseDataForm} only %}
            {% if is_granted('edit', app.user) == true %}
                {{ form_row(baseDataForm._token) }}
                {{ form_end(baseDataForm, {'render_rest': false}) }}
            {% endif %}
        </div>
        {% if is_granted('ROLE_USER') or is_granted('ROLE_PROPERTY_FEEDER') or is_granted('ROLE_PROPERTY_VACANCY_REPORT_MANAGER') or is_granted('ROLE_VIEWER') or is_granted('ROLE_RESTRICTED_VIEWER') or is_granted('ROLE_PROPERTY_PROVIDER') %}
            <div class="mdc-card px-4 py-3 mb-4">
                <div class="row g-3 mb-3">
                    <div class="col-lg-6">
                        <h2 class="mb-3">Exposé-relevante Felder </h2>
                        <p>Ist diese Einstellung gesetzt, werden in der Objektverwaltung alle Felder mit einem hellblauen <span class="expose-relevant border-1 p-1">Balken</span>hervorgehoben, die im PDF-Exposé angezeigt werden, wenn sie gefüllt sind.</p>
                        <div class="mb-3">
                            {% include 'component/mdc_switch_component.html.twig' with {
                                'id': 'base_data_expose_relevant_fields_mdc_switch',
                                'label': 'Exposé-relevante Felder farblich hervorheben',
                            } only %}
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <h2 class="mb-3">Matching-relevante Felder </h2>
                        <p>Ist diese Einstellung gesetzt, werden in der Objektverwaltung alle für das Matching relevanten Felder <span class="matching-relevant">farblich hervorgehoben</span>. Sofern sie gefüllt sind, werden sie im Matching berücksichtigt.</p>
                        <div class="mb-3">
                            {% include 'component/mdc_switch_component.html.twig' with {
                                'id': 'base_data_matching_relevant_fields_mdc_switch',
                                'label': 'Matching-relevante Felder farblich hervorheben',
                            } only %}
                        </div>
                    </div>
                </div>
                <div class="row g-3 mb-3">
                    <div class="col-lg-6">
                        <h2 class="mb-3">Barrierefreiheit</h2>
                        <p>Ist diese Einstellung gesetzt werden in der Kartendarstellung alternative Farben genutzt.</p>
                        <div class="mb-3">
                            {% include 'component/mdc_switch_component.html.twig' with {
                                'id': 'base_data_barrier_free_map_colors_mdc_switch',
                                'label': 'Barrierefreie Pin-Farben auf der Karte nutzen',
                            } only %}
                        </div>
                    </div>
                </div>
            </div>
        {% endif %}
        {% if is_granted('ROLE_USER') or is_granted('ROLE_PROPERTY_FEEDER') or is_granted('ROLE_PROPERTY_VACANCY_REPORT_MANAGER') or is_granted('ROLE_LOOKING_FOR_PROPERTY_REQUEST_REPORT_MANAGER') or is_granted('ROLE_LOOKING_FOR_PROPERTY_REQUEST_FEEDER')  or is_granted('ROLE_VIEWER') or is_granted('ROLE_RESTRICTED_VIEWER') %}
            <div class="mdc-card px-4 py-3 mb-4">
                <h2 class="mb-3">Aktive Widgets auf dem Dashboard</h2>
                <div class="row">
                    {% if is_granted('ROLE_USER') or is_granted('ROLE_PROPERTY_FEEDER') or is_granted('ROLE_LOOKING_FOR_PROPERTY_REQUEST_FEEDER') %}
                        <div class="col-12 col-md-6 col-lg-4">
                            <div class="mb-3">
                                {% include 'component/mdc_switch_component.html.twig' with {
                                    'id': 'follow_up_reminder_widget_state_mdc_switch',
                                    'label': 'Wiedervorlagen',
                                } only %}
                            </div>
                        </div>
                    {% endif %}
                    {% if is_granted('ROLE_USER') or is_granted('ROLE_PROPERTY_FEEDER') or is_granted('ROLE_VIEWER') or is_granted('ROLE_RESTRICTED_VIEWER') %}
                        <div class="col-12 col-md-6 col-lg-4">
                            <div class="mb-3">
                                {% include 'component/mdc_switch_component.html.twig' with {
                                    'id': 'property_vacancy_management_widget_state_mdc_switch',
                                    'label': 'Besatz und Leerstand',
                                } only %}
                            </div>
                        </div>
                    {% endif %}
                    {% if is_granted('ROLE_USER') or is_granted('ROLE_PROPERTY_VACANCY_REPORT_MANAGER') or is_granted('ROLE_VIEWER') or is_granted('ROLE_RESTRICTED_VIEWER') %}
                        <div class="col-12 col-md-6 col-lg-4">
                            <div class="mb-3">
                                {% include 'component/mdc_switch_component.html.twig' with {
                                    'id': 'property_vacancy_report_widget_state_mdc_switch',
                                    'label': 'Leerstandsmeldungen',
                                } only %}
                            </div>
                        </div>
                    {% endif %}
                    {% if is_granted('ROLE_USER') or is_granted('ROLE_LOOKING_FOR_PROPERTY_REQUEST_REPORT_MANAGER') or is_granted('ROLE_VIEWER') or is_granted('ROLE_RESTRICTED_VIEWER') %}
                        <div class="col-12 col-md-6 col-lg-4">
                            <div class="mb-3">
                                {% include 'component/mdc_switch_component.html.twig' with {
                                    'id': 'looking_for_property_request_report_widget_state_mdc_switch',
                                    'label': 'Gesuchsmeldungen',
                                } only %}
                            </div>
                        </div>
                    {% endif %}
                    {% if is_granted('ROLE_USER') or is_granted('ROLE_LOOKING_FOR_PROPERTY_REQUEST_FEEDER') or is_granted('ROLE_VIEWER') or is_granted('ROLE_RESTRICTED_VIEWER') %}
                        <div class="col-12 col-md-6 col-lg-4">
                            <div class="mb-3">
                                {% include 'component/mdc_switch_component.html.twig' with {
                                    'id': 'looking_for_property_request_widget_state_mdc_switch',
                                    'label': 'Ansiedlungsgesuche',
                                } only %}
                            </div>
                        </div>
                    {% endif %}
                    {% if is_granted('ROLE_USER') or is_granted('ROLE_VIEWER') or is_granted('ROLE_RESTRICTED_VIEWER') %}
                        <div class="col-12 col-md-6 col-lg-4">
                            <div class="mb-3">
                                {% include 'component/mdc_switch_component.html.twig' with {
                                    'id': 'matching_widget_state_mdc_switch',
                                    'label': 'Matchings',
                                } only %}
                            </div>
                        </div>
                    {% endif %}
                    {% if is_granted('ROLE_USER') or is_granted('ROLE_VIEWER') or is_granted('ROLE_RESTRICTED_VIEWER') %}
                        {% if has_hystreet_configuration() == true %}
                            <div class="col-12 col-md-6 col-lg-4">
                                <div class="mb-3">
                                    {% include 'component/mdc_switch_component.html.twig' with {
                                        'id': 'pedestrian_frequency_widget_state_mdc_switch',
                                        'label': 'Passanten-Frequenz',
                                    } only %}
                                </div>
                            </div>
                        {% endif %}
                    {% endif %}
                    {% if is_granted('ROLE_USER') or is_granted('ROLE_VIEWER') or is_granted('ROLE_RESTRICTED_VIEWER') %}
                        {% if has_zielbildcheck_configuration() == true %}
                            <div class="col-12 col-md-6 col-lg-4">
                                <div class="mb-3">
                                    {% include 'component/mdc_switch_component.html.twig' with {
                                        'id': 'city_goals_widget_state_mdc_switch',
                                        'label': 'Zielbild',
                                    } only %}
                                </div>
                            </div>
                        {% endif %}
                    {% endif %}
                    {% if is_granted('ROLE_USER') or is_granted('ROLE_VIEWER') or is_granted('ROLE_RESTRICTED_VIEWER') %}
                        {% if has_wegweiser_kommune_place_mapping() == true %}
                            <div class="col-12 col-md-6 col-lg-4">
                                <div class="mb-3">
                                    {% include 'component/mdc_switch_component.html.twig' with {
                                        'id': 'location_indicators_widget_state_mdc_switch',
                                        'label': 'Standortindikatoren',
                                    } only %}
                                </div>
                            </div>
                        {% endif %}
                    {% endif %}
                    {% if is_granted('ROLE_USER') or is_granted('ROLE_LOOKING_FOR_PROPERTY_REQUEST_REPORT_MANAGER') or is_granted('ROLE_VIEWER') or is_granted('ROLE_RESTRICTED_VIEWER') %}
                        <div class="col-12 col-md-6 col-lg-4">
                            <div class="mb-3">
                                {% include 'component/mdc_switch_component.html.twig' with {
                                    'id': 'hall_of_inspiration_widget_state_mdc_switch',
                                    'label': 'Hall of Inspiration',
                                } only %}
                            </div>
                        </div>
                    {% endif %}
                </div>
            </div>
        {% endif %}
        {% if is_granted('delete', app.user) == true %}
            <div class="mdc-card px-4 py-3 mb-4">
                <p>
                    Sofern Sie Ihren Account und alle damit verknüpften Daten löschen möchten, klicken Sie bitte auf den nachfolgenden Button.
                </p>
                <div class="row">
                    <div class="col-12 col-md-6 col-lg-3">
                        <a class="mdc-button mdc-button--raised mdc-button--leading delete-button text-white" href="{{ path('account_user_delete') }}">ACCOUNT LÖSCHEN</a>
                    </div>
                </div>
            </div>
        {% endif %}
    </div>
{% endblock %}
